org.apache.synapse.securevault.secret

## Class SecretCallbackHandlerFactory

- java.lang.Object
- - org.apache.synapse.securevault.secret.SecretCallbackHandlerFactory

-     public class SecretCallbackHandlerFactory
      extends java.lang.Object

  Contains factory methods to create SecretCallbackHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecretCallbackHandlerFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SecretCallbackHandler` | `createSecretCallbackHandler(java.util.Properties properties, java.lang.String key)` Creates a SecretCallbackHandler instance based on given properties At future , can extend this , if SecretCallbackHandler instance need some data in the initialization
    `static SecretCallbackHandler` | `createSecretCallbackHandler(java.lang.String provider)` Creates a SecretCallbackHandler instance based on provided class

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecretCallbackHandlerFactory

          public SecretCallbackHandlerFactory()

  - ### Method Detail

    - #### createSecretCallbackHandler

          public static SecretCallbackHandler createSecretCallbackHandler(java.util.Properties properties,
                                                                          java.lang.String key)

      Creates a SecretCallbackHandler instance based on given properties At future , can extend this , if SecretCallbackHandler instance need some data in the initialization
      Parameters:
        `properties` - properties contains some information about how to create a SecretCallbackHandler
        `key` - use for getting related properties out of all properties
      Returns:
        SecretCallbackHandler instance

    - #### createSecretCallbackHandler

          public static SecretCallbackHandler createSecretCallbackHandler(java.lang.String provider)

      Creates a SecretCallbackHandler instance based on provided class
      Parameters:
        `provider` - provider class name
      Returns:
        SecretCallbackHandler instance

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.